Bug 62172 - RFE: suggest showing package version number during installation
Summary: RFE: suggest showing package version number during installation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-28 04:47 UTC by Jay Berkenbilt
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 19:38:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Berkenbilt 2002-03-28 04:47:12 UTC
During installation, it is possible to select a package and get a description of
that package including how much disk space it takes up.  It would be very useful
if the version information on the package were also shown.  This should include
the version and release information in the RPM.

There are some packages that I would only install if they were a specific
version.  For example, I always use the latest emacs, and RedHat's releases
don't always include it.  Likewise with some other packages such as cipe which
is still 1.4.5 in the release.  What I have to do now is to make a list of
packages in advance from the CDs that I can consult during installation.

Comment 1 Michael Fulbright 2002-04-04 17:38:54 UTC
Are you referring to the individual package selection screen?

Comment 2 Jay Berkenbilt 2002-04-04 18:28:52 UTC
Yes, I am referring to the individual package selection screen -- the one that
has (by default) a hierarchical view of the various groups and packages within
them.  When you highlight a package, you see the rpm info on it (rpm -qip
package.rpm).  You also see the size.  It would be good to see the full version
and release information of the rpm too.  Maybe this could be an option (a
checkbox menu item?) so that people who don't care about the numbers don't have
to see them.

Comment 3 Jeremy Katz 2002-04-05 20:01:27 UTC
At this point, it's too late to change for this release.

Comment 4 Michael Fulbright 2002-06-19 19:38:49 UTC
I've added this info to the description text box.

Comment 5 Mike McLean 2002-07-31 17:08:41 UTC
Confirmed, the package version is shown.

Comment 6 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.